
<template>
  <el-card shadow="always" class="common-card-container common-card-container-body-no-padding">
    <div slot="header">
      <span class="card-title">电量指标</span>
      <el-button style="float: right; padding: 3px 0" type="text" size="small">按年</el-button>
    </div>
    <div style="height: 360px" id="dlzbChart"/>
  </el-card>
</template>

<style scoped lang="scss"></style>
<script>
import * as echarts from 'echarts'
require('echarts/theme/macarons') // echarts theme
import resize from '@/mixins/ems/resize'

export default {
  mixins: [resize],
  data() {
    return {
      chart: null
    }
  },
  mounted() {
    this.$nextTick(() => {
      this.initChart()
    })
  },
  beforeDestroy() {
    if (!this.chart) {
      return
    }
    this.chart.dispose()
    this.chart = null
  },
  methods: {
    initChart() {
      this.chart = echarts.init(document.querySelector('#dlzbChart'), 'macarons')
      this.setOptions()
    },
    setOptions() {
      this.chart.setOption({
        legend: {
          left: 'center',
          bottom: '10',
        },
        tooltip: {
          trigger: 'axis',
          axisPointer: { // 坐标轴指示器，坐标轴触发有效
            type: 'shadow' // 默认为直线，可选为：'line' | 'shadow'
          }
        },
        textStyle:{
          color:"#333333",
        },
        xAxis: {
          data: ['1月','2月','3月','4月','5月','6月','7月','8月','9月','10月','11月','12月'],
          axisLine: {
            lineStyle:{
              color: '#333333',
            }
          }
        },
        yAxis: {
          type: 'value',
          axisLine: {
            lineStyle:{
              color: '#333333',
            }
          }
        },
        series: [
        {
          name:'充电量',
          data: [80,92,1,34,90,130,320,80,9,91,34,90],
          type: 'line',
          itemStyle: {
            color: '#F86F70',
            opacity: 0.5
          },
          areaStyle: {
            color: '#F86F70',
            opacity: 0.5
          }
        },{
            name:'放电量',
            data: [820,932,901,934,1290,1330,1320,820,932,901,934,1290],
            type: 'line',
            itemStyle: {
              color: '#488AFF',
              opacity: 0.5
            },
            areaStyle: {
              color: '#488AFF',
              opacity: 0.5
            }
          }]
      })
    }
  }
}

</script>
